From 06245cb5923d50d3dd5999085637be0f9b5e0c59 Mon Sep 17 00:00:00 2001
From: Martin Beseda <martin.beseda@vsb.cz>
Date: Tue, 22 Jan 2019 19:37:02 +0100
Subject: [PATCH] FIX: Trying to fix CI...

---
 build_scripts/linux/linux_gcc_build_x64_debug_system.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/build_scripts/linux/linux_gcc_build_x64_debug_system.sh b/build_scripts/linux/linux_gcc_build_x64_debug_system.sh
index 463801a4..797757d4 100755
--- a/build_scripts/linux/linux_gcc_build_x64_debug_system.sh
+++ b/build_scripts/linux/linux_gcc_build_x64_debug_system.sh
@@ -99,12 +99,12 @@ then
 
     cd ../..
 
-    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || (echo "${RED}Makefile preparation finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;)
+    cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_COMPILER=${CXX_COMPILER} -DCMAKE_C_COMPILER=${C_COMPILER} -DBOOST_LIBRARYDIR=${BOOST_LIBRARYDIR} -DBOOST_INCLUDEDIR=${BOOST_INCLUDEDIR} -DBUILD_TESTS=${BUILD_TESTS} -DBUILD_EXAMPLES=${BUILD_EXAMPLES} -DBUILD_LIB=${BUILD_LIB} -DLIB4NEURO_DIR=${PWD}/build/lib -DDEPENDENCIES_LINK_TYPE=${LINK_TYPE} -DLIB4NEURO_INCLUDE_DIR=${LIB4NEURO_INCLUDE_DIR} . || { echo "${RED}Makefile preparation finished with errors${NC}!"; BUILD_ERROR_OCCURED=1; }
 
 	if [ ${BUILD_ERROR_OCCURED} -eq 0 ]
 	then
         echo "Building the '${CYAN}lib4neuro${NC}' project for ${WHITE}Debug${NC} (building)"
-        cmake --build . --config Debug -- -j${N_CORES} && echo "${GREEN}Build complete${NC}." || (echo "${RED}Build finished with errors${NC}!"; BUILD_ERROR_OCCURED=1;)
+        cmake --build . --config Debug -- -j${N_CORES} && echo "${GREEN}Build complete${NC}." || { echo "${RED}Build finished with errors${NC}!"; BUILD_ERROR_OCCURED=1; }
 	fi
 
     cd build_scripts/linux
@@ -121,6 +121,7 @@ fi
 
 if [ ${BUILD_EXAMPLES} = "yes" ]
 then
+    pwd
     ./linux_clean_after_examples.sh
 fi
 
-- 
GitLab